package com.realnet.vpspack.Services;
import com.realnet.vpspack.Repository.Agent_reportRepository;
import com.realnet.vpspack.Entity.Agent_report
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
























	import org.springframework.stereotype.Service;

@Service
 public class Agent_reportService {
@Autowired
private Agent_reportRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;























public Agent_report Savedata(Agent_report data) {
























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Agent_report save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Agent_report> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Agent_report> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Agent_report> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Agent_report getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Agent_report update(Agent_report data,Integer id) {
	Agent_report old = Repository.findById(id).get();
old.setInvoice_created(data.getInvoice_created());

old.setEntry_date_form(data.getEntry_date_form());

old.setDate_field(data.getDate_field());

old.setEntry_date_to(data.getEntry_date_to());

old.setFull_name(data.getFull_name());

old.setApplication_code(data.getApplication_code());

old.setNationality(data.getNationality());

old.setAgent(data.getAgent());

old.setPassport_number(data.getPassport_number());

old.setFilter_btn(data.getFilter_btn());

old.setReset_btn(data.getReset_btn());

old.setAgent_report_line(data.getAgent_report_line());

final Agent_report test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
